## cubemap 1.0.4

=== Makefile ===
CC=gcc
CXX=g++
INSTALL=install
PROTOC=protoc
CXXFLAGS=-Wall -O2 -g -pthread $(shell getconf LFS_CFLAGS)
LDLIBS=-lprotobuf -pthread -lrt

OBJS=main.o client.o server.o stream.o udpstream.o serverpool.o mutexlock.o input.o input_stats.o httpinput.o udpinput.o parse.o config.o markpool.o acceptor.o stats.o accesslog.o thread.o util.o log.o metacube2.o sa_compare.o state.pb.o

all: cubemap

%.pb.cc %.pb.h : %.proto
	$(PROTOC) --cpp_out=. $<

%.o: %.cpp state.pb.h
	$(CXX) -MMD -MP $(CPPFLAGS) $(CXXFLAGS) -o $@ -c $<
%.pb.o: %.pb.cc
	$(CXX) -MMD -MP $(CPPFLAGS) $(CXXFLAGS) -o $@ -c $<
cubemap: $(OBJS)
	$(CXX) -o cubemap $(OBJS) $(LDLIBS) $(LDFLAGS)

DEPS=$(OBJS:.o=.d)
-include $(DEPS)

clean:
	$(RM) cubemap $(OBJS) $(DEPS) state.pb.h state.pb.cc

PREFIX=/usr/local
SYSCONFDIR=/etc
LOCALSTATEDIR=/var
install:
	$(INSTALL) -m 755 -o root -g root -d \
		$(DESTDIR)$(PREFIX)/bin \
		$(DESTDIR)$(PREFIX)/share/man/man1 \
		$(DESTDIR)$(SYSCONFDIR) \
		$(DESTDIR)$(LOCALSTATEDIR)/lib/cubemap \
		$(DESTDIR)$(LOCALSTATEDIR)/log/cubemap \
		$(DESTDIR)$(PREFIX)/share/munin/plugins \
		$(DESTDIR)$(PREFIX)/lib/systemd/system
	$(INSTALL) -m 755 -o root -g root cubemap $(DESTDIR)$(PREFIX)/bin/cubemap
	$(INSTALL) -m 755 -o root -g root munin/cubemap munin/cubemap_input $(DESTDIR)$(PREFIX)/share/munin/plugins/
	sed \
		-e "s,cubemap\.stats,$(LOCALSTATEDIR)/lib/cubemap/\0,g" \
		-e "s,cubemap-input\.stats,$(LOCALSTATEDIR)/lib/cubemap/\0,g" \
		-e "s,access\.log,$(LOCALSTATEDIR)/log/cubemap/\0,g" \
		-e "s,cubemap\.log,$(LOCALSTATEDIR)/log/cubemap/\0,g" \
		-e 's,^stream,#\0,g' \
		-e 's,^udpstream,#\0,g' \
		cubemap.config.sample > $(DESTDIR)$(SYSCONFDIR)/cubemap.config
	gzip -c cubemap.1 > $(DESTDIR)$(PREFIX)/share/man/man1/cubemap.1.gz
	sed \
		-e "s,@prefix@,$(PREFIX),g" \
		-e "s,@sysconfdir@,$(SYSCONFDIR),g" \
		cubemap.service.in > $(DESTDIR)$(PREFIX)/lib/systemd/system/cubemap.service

.PHONY: clean install
.SUFFIXES:

## cubemap 1.0.1

=== debian/changelog ===
cubemap (1.0.1-1) unstable; urgency=low

  * New upstream release.

  [ Philipp Kern ]
  * Use "linux-any" for cubemap's architecture. (Closes: #723621)
  * Drop pre-release patches taken from upstream.

  [ Steinar H. Gunderson ]
  * Fix compilation on 32-bit systems. (Closes: #723619)

 -- Philipp Kern <pkern@debian.org>  Mon, 30 Sep 2013 09:51:49 +0200

cubemap (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #722192)

 -- Philipp Kern <pkern@debian.org>  Sun, 15 Sep 2013 18:23:09 +0200

=== debian/control ===
Source: cubemap
Section: net
Priority: optional
Maintainer: Philipp Kern <pkern@debian.org>
Uploaders: Steinar H. Gunderson <sesse@debian.org>
Build-Depends: debhelper (>= 9), libprotobuf-dev, protobuf-compiler, dh-systemd
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/collab-maint/cubemap.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/cubemap.git
Homepage: http://git.sesse.net/?p=cubemap

Package: cubemap
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.2-14)
Suggests: munin-node, logrotate
Description: scalable video reflector, designed to be used with VLC
 Cubemap is a high-performance, high-availability video reflector,
 specifically made for use with VLC.
 .
 Its features include high performance, high availability, per-stream
 fwmark support (separate config needed) and reflection of all muxes
 VLC can offer over HTTP.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

%:
	dh $@ --parallel --with systemd

override_dh_auto_install:
	make install DESTDIR=debian/cubemap PREFIX=/usr
	# Fix up systemd unit file location.
	install -o root -g root -m 0755 -d debian/cubemap/lib/
	mv debian/cubemap/usr/lib/systemd/ debian/cubemap/lib/
	rmdir debian/cubemap/usr/lib/

override_dh_installinit:
	dh_installinit --restart-after-upgrade

## cubemap 1.0.4

=== debian/changelog ===
cubemap (1.0.4-1) unstable; urgency=medium

  * New upstream release.

 -- Philipp Kern <pkern@debian.org>  Tue, 25 Mar 2014 07:59:24 +0100

cubemap (1.0.3-1) unstable; urgency=medium

  * New upstream release.
    - Fix compilation error with newer glibc; broken after IWYU.
      (Closes: #737703)
  * Use LFS_CFLAGS during build to fix pwritev use on 32bit architectures.

 -- Philipp Kern <pkern@debian.org>  Sun, 09 Feb 2014 14:36:42 +0100

cubemap (1.0.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #737581)

 -- Philipp Kern <pkern@debian.org>  Tue, 04 Feb 2014 08:59:41 +0100

## cubemap 1.1.2

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 CXXFLAGS=-Wall -O2 -g -pthread $(shell getconf LFS_CFLAGS)
 LDLIBS=-lprotobuf -pthread -lrt
 
-OBJS=main.o client.o server.o stream.o udpstream.o serverpool.o mutexlock.o input.o input_stats.o httpinput.o udpinput.o parse.o config.o markpool.o acceptor.o stats.o accesslog.o thread.o util.o log.o metacube2.o sa_compare.o state.pb.o
+OBJS=main.o client.o server.o stream.o udpstream.o serverpool.o mutexlock.o input.o input_stats.o httpinput.o udpinput.o parse.o config.o acceptor.o stats.o accesslog.o thread.o util.o log.o metacube2.o sa_compare.o state.pb.o
 
 all: cubemap
 
@@ -39,6 +39,13 @@
 		$(DESTDIR)$(PREFIX)/lib/systemd/system
 	$(INSTALL) -m 755 -o root -g root cubemap $(DESTDIR)$(PREFIX)/bin/cubemap
 	$(INSTALL) -m 755 -o root -g root munin/cubemap munin/cubemap_input $(DESTDIR)$(PREFIX)/share/munin/plugins/
+	gzip -c cubemap.1 > $(DESTDIR)$(PREFIX)/share/man/man1/cubemap.1.gz
+	sed \
+		-e "s,@prefix@,$(PREFIX),g" \
+		-e "s,@sysconfdir@,$(SYSCONFDIR),g" \
+		cubemap.service.in > $(DESTDIR)$(PREFIX)/lib/systemd/system/cubemap.service
+	# Make sure we don't overwrite an existing configuration.
+	test ! -f $(DESTDIR)$(SYSCONFDIR)/cubemap.config
 	sed \
 		-e "s,cubemap\.stats,$(LOCALSTATEDIR)/lib/cubemap/\0,g" \
 		-e "s,cubemap-input\.stats,$(LOCALSTATEDIR)/lib/cubemap/\0,g" \
@@ -47,11 +54,6 @@
 		-e 's,^stream,#\0,g' \
 		-e 's,^udpstream,#\0,g' \
 		cubemap.config.sample > $(DESTDIR)$(SYSCONFDIR)/cubemap.config
-	gzip -c cubemap.1 > $(DESTDIR)$(PREFIX)/share/man/man1/cubemap.1.gz
-	sed \
-		-e "s,@prefix@,$(PREFIX),g" \
-		-e "s,@sysconfdir@,$(SYSCONFDIR),g" \
-		cubemap.service.in > $(DESTDIR)$(PREFIX)/lib/systemd/system/cubemap.service
 
 .PHONY: clean install
 .SUFFIXES:

=== debian/changelog ===
cubemap (1.1.2-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 12 Aug 2015 23:49:13 +0200

cubemap (1.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Philipp Kern <pkern@debian.org>  Mon, 14 Jul 2014 21:58:26 +0200

cubemap (1.1.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #753937)

 -- Philipp Kern <pkern@debian.org>  Sun, 06 Jul 2014 21:18:25 +0200

cubemap (1.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Philipp Kern <pkern@debian.org>  Thu, 01 May 2014 19:12:45 +0200

## cubemap 1.2.0

=== debian/changelog ===
cubemap (1.2.0-2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix the daemon's path in the init script. (Closes: #795460)

 -- Philipp Kern <pkern@debian.org>  Sun, 16 Aug 2015 20:23:26 +0200

cubemap (1.2.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #793501)
  * Adjusted the package description as suggested by Sesse.

 -- Philipp Kern <pkern@debian.org>  Sat, 25 Jul 2015 13:32:59 +0200

=== debian/control ===
--- 
+++ 
@@ -18,5 +18,5 @@
  specifically made for use with VLC.
  .
  Its features include high performance, high availability, per-stream
- fwmark support (separate config needed) and reflection of all muxes
- VLC can offer over HTTP.
+ TCP pacing support (with sch_fq) and reflection of all muxes VLC
+ can offer over HTTP or UDP.

## cubemap 1.2.1

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,8 @@
 CXX=g++
 INSTALL=install
 PROTOC=protoc
-CXXFLAGS=-Wall -O2 -g -pthread $(shell getconf LFS_CFLAGS)
-LDLIBS=-lprotobuf -pthread -lrt
+CXXFLAGS=-Wall -O2 -g -pthread $(shell getconf LFS_CFLAGS) $(shell pkg-config --cflags libsystemd)
+LDLIBS=-lprotobuf -pthread -lrt $(shell pkg-config --libs libsystemd)
 
 OBJS=main.o client.o server.o stream.o udpstream.o serverpool.o mutexlock.o input.o input_stats.o httpinput.o udpinput.o parse.o config.o acceptor.o stats.o accesslog.o thread.o util.o log.o metacube2.o sa_compare.o state.pb.o

=== debian/changelog ===
cubemap (1.2.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #797393)
  * Patched Makefile so the package's CXXFLAGS are added to those
    in the environment (for hardening and correct nostrip handling).

 -- Philipp Kern <pkern@debian.org>  Sun, 30 Aug 2015 22:10:23 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Philipp Kern <pkern@debian.org>
 Uploaders: Steinar H. Gunderson <sesse@debian.org>
-Build-Depends: debhelper (>= 9), libprotobuf-dev, protobuf-compiler, dh-systemd
+Build-Depends: debhelper (>= 9), libprotobuf-dev, protobuf-compiler, dh-systemd, pkg-config, libsystemd-dev
 Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/collab-maint/cubemap.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/cubemap.git

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # -*- makefile -*-
 
 export DH_VERBOSE=1
+
+CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell getconf LFS_CFLAGS)
 
 %:
 	dh $@ --parallel --with systemd

## cubemap 1.2.2

=== debian/changelog ===
cubemap (1.2.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #819765)
    - Upstream now uses autoconf: adjust debian/rules to use it properly.
    - Still fix up the systemd service file's path.

 -- Philipp Kern <pkern@debian.org>  Sat, 02 Apr 2016 15:08:57 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell getconf LFS_CFLAGS)

%:
	dh $@ --parallel --with systemd,autoreconf

override_dh_installinit:
	dh_installinit --restart-after-upgrade

## cubemap 1.3.0

=== debian/changelog ===
cubemap (1.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Philipp Kern <pkern@debian.org>  Thu, 14 Jul 2016 21:25:01 +0200

## cubemap 1.3.1

=== debian/changelog ===
cubemap (1.3.1-3) unstable; urgency=medium

  * Create the cubemap user before debhelper tries to start the service.
    (Closes: #847152)

 -- Philipp Kern <pkern@debian.org>  Tue, 13 Dec 2016 21:25:07 +0100

cubemap (1.3.1-2) unstable; urgency=medium

  * Include the NEWS file in the package. (Closes: #835194)

 -- Philipp Kern <pkern@debian.org>  Tue, 04 Oct 2016 11:34:22 +0200

cubemap (1.3.1-1) unstable; urgency=medium

  * New upstream release (Closes: #832154)

 -- Philipp Kern <pkern@debian.org>  Sun, 24 Jul 2016 22:33:55 +0200

## cubemap 1.3.2

=== debian/changelog ===
cubemap (1.3.2-1) unstable; urgency=medium

  * New upstream release (Closes: #863280)

 -- Philipp Kern <pkern@debian.org>  Sat, 27 May 2017 11:17:45 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Philipp Kern <pkern@debian.org>
 Uploaders: Steinar H. Gunderson <sesse@debian.org>
-Build-Depends: debhelper (>= 9), libprotobuf-dev, protobuf-compiler, dh-systemd, pkg-config, libsystemd-dev
+Build-Depends: debhelper (>= 9), libprotobuf-dev, protobuf-compiler, dh-autoreconf, dh-systemd, pkg-config, libsystemd-dev
 Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/collab-maint/cubemap.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/cubemap.git

## cubemap 1.4.1

=== debian/changelog ===
cubemap (1.4.1-1) unstable; urgency=medium

  * New upstream release.
    * Fixes 32-bit FTBFS. (Closes: #908337)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 12 Sep 2018 23:03:45 +0200

cubemap (1.4.0-1) unstable; urgency=medium

  * New upstream release (Closes: #907728).
    * Update the package description to reflect the TLS and fMP4/HLS features. 
    * Add tlse/*, with 2-clause BSD license, to debian/copyright.
    * Add Build-Depends on libtomcrypt-dev.
  * Adopt the package (swap Maintainer and Uploader).
  * Remove Vcs tags that no longer work after Alioth shut down.
  * Replace dh-systemd build-dependency with debhelper (>= 9.20160709).

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 08 Sep 2018 10:24:45 +0200

## cubemap 1.4.2

=== debian/changelog ===
cubemap (1.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sgunderson@bigfoot.com>  Fri, 21 Dec 2018 15:38:37 +0100

## cubemap 1.4.3

=== debian/changelog ===
cubemap (1.4.3-2) unstable; urgency=medium

  * Remove myself from uploaders.
  * Bump Standards-Version to 4.5.0 - no changes needed.

 -- Philipp Kern <pkern@debian.org>  Sun, 01 Nov 2020 18:55:26 +0100

cubemap (1.4.3-1) unstable; urgency=medium

  * New upstream release.
    * Always builds with -pthread. (Closes: #944924)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 17 Nov 2019 20:01:00 +0100

=== debian/control ===
Source: cubemap
Section: net
Priority: optional
Maintainer: Steinar H. Gunderson <sesse@debian.org>
Build-Depends: debhelper (>= 9.20160709), libprotobuf-dev, protobuf-compiler, dh-autoreconf, pkg-config, libsystemd-dev, libtomcrypt-dev
Standards-Version: 4.5.0
Homepage: http://git.sesse.net/?p=cubemap

Package: cubemap
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.2-14)
Suggests: munin-node, logrotate
Description: scalable video reflector, designed to be used with VLC
 Cubemap is a high-performance, high-availability video reflector,
 specifically made for use with VLC.
 .
 Its features include high performance, high availability, per-stream
 TCP pacing support (with sch_fq), TLS support, fMP4/HLS support if used
 with Nageru, and reflection of all muxes VLC can offer over HTTP or UDP.

=== debian/rules ===
--- 
+++ 
@@ -8,5 +8,8 @@
 %:
 	dh $@ --parallel --with systemd,autoreconf
 
+override_dh_clean:
+	dh_clean Makefile config.log config.status
+
 override_dh_installinit:
 	dh_installinit --restart-after-upgrade

=== debian/watch ===
version=3
http://cubemap.sesse.net/download/cubemap-(.+)\.tar\.gz

## cubemap 1.5.0

=== debian/changelog ===
cubemap (1.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 09 Dec 2023 16:43:47 +0100

## cubemap 1.5.1

=== debian/changelog ===
cubemap (1.5.1-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:40:28 +1100

cubemap (1.5.1-2build1) noble; urgency=high

  * No change rebuild against libprotobuf32t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 16:37:52 +0100

cubemap (1.5.1-2) unstable; urgency=medium

  * debian/patches/prefix-lowercase.diff: New patch, makes the makefile
    use lowercase prefix instead of PREFIX (and similar for a couple other
    variables), since dpkg sets --libdir to someting that refers to ${prefix}.
    This makes ffmpeg_metacube_hack.so correctly go into /usr/lib
    instead of /lib on merged-/usr systems. (Closes: #1058933)

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 19 Dec 2023 21:11:33 +0100

cubemap (1.5.1-1) unstable; urgency=medium

  * New upstream release.
    * Uses systemd.pc to place systemd system units. Patch from
      Chris Hofstaedtler. (Closes: #1057925)
    * Add build-dependency on systemd-dev.
  * Build-depend on FFmpeg to build ffmpeg_metacube_hack.so.
    * Add lib/${DEB_HOST_MULTIARCH} to dirs.
  * Move to dh-compat 13.
    * Update versioned debhelper build-dependency.
    * Remove obsolete dependency on lsb-base.
    * Remove now-default dh --parallel argument.
    * Remove now-default dependency on dh-autoreconf.
    * Add Pre-Depends: ${misc:Pre-Depends} to debian/control.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 17 Dec 2023 21:05:04 +0100

=== debian/control ===
Source: cubemap
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Steinar H. Gunderson <sesse@debian.org>
Build-Depends: debhelper (>= 13), libprotobuf-dev, protobuf-compiler, pkg-config, libsystemd-dev, systemd-dev, libtomcrypt-dev, libavformat-dev, libavutil-dev
Standards-Version: 4.5.0
Homepage: http://git.sesse.net/?p=cubemap

Package: cubemap
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Pre-Depends: ${misc:Pre-Depends}
Suggests: munin-node, logrotate
Description: scalable video reflector, designed to be used with VLC
 Cubemap is a high-performance, high-availability video reflector,
 specifically made for use with VLC.
 .
 Its features include high performance, high availability, per-stream
 TCP pacing support (with sch_fq), TLS support, fMP4/HLS support if used
 with Nageru, and reflection of all muxes VLC can offer over HTTP or UDP.

## cubemap 1.5.2

=== debian/changelog ===
cubemap (1.5.2-3) unstable; urgency=medium

  * debian/patches/include-stdint.diff: New patch from upstream,
    add missing <stdint.h> include (FTBFS with GCC 15). (Closes: #1096490) 

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 23 Feb 2025 15:41:26 +0100

cubemap (1.5.2-2) unstable; urgency=medium

  * Support building as non-root. (Closes: #1089308)
    * build-as-non-root.diff: New patch, redundant arguments to install.
    * Add Rules-Requires-Root: no.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 08 Dec 2024 09:00:25 +0100

cubemap (1.5.2-1) unstable; urgency=medium

  * New upstream release.
    * Obsoletes prefix-lowercase.diff.
    * Fixes FTBFS with FFmpeg 7.0. (Closes: #1078398)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 11 Aug 2024 20:23:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: cubemap
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Steinar H. Gunderson <sesse@debian.org>
+Maintainer: Steinar H. Gunderson <sesse@debian.org>
 Build-Depends: debhelper (>= 13), libprotobuf-dev, protobuf-compiler, pkg-config, libsystemd-dev, systemd-dev, libtomcrypt-dev, libavformat-dev, libavutil-dev
 Standards-Version: 4.5.0
 Homepage: http://git.sesse.net/?p=cubemap
+Rules-Requires-Root: no
 
 Package: cubemap
 Architecture: linux-any

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell getconf LFS_CFLAGS)
 
 %:
-	dh $@ --parallel --with systemd,autoreconf
+	dh $@
 
 override_dh_clean:
 	dh_clean Makefile config.log config.status
